<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

/*******************************/
/* Récupération objets enfants */
/*******************************/

session_start();
sleep(1);
if (array_key_exists('id', $_REQUEST)) {
    $tomorrow = 0; //60*60*24; // en nb de secondes
    header("Cache-Control: max-age=$tomorrow");
    print_plain();
} else {
    print "Usage : $_SERVER[PHP_SELF]?id=idobjenfant";
}

function print_plain()
{
    header('Content-type: text/html; charset=UTF-8');
    $tab_str = $_SESSION['obj_idnomenc_enfants'];
    $tab_str[] = $_REQUEST['id'];
    $result = get_objenfants($tab_str);
    print implode(';', $result);
}

/**
 * @param $tab
 * @return array
 */
function get_objenfants($tab)
{
    require_once('../lib/gettext/gettext.inc');
    include_once('../inc/config.inc.php');
    include_once('../inc/func_txt.inc.php');
    include_once('../classes/ezSQL/shared/ez_sql_core.php');
    include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
    include_once('../inc/func_sql.inc.php');

    $tab_id = [];
    $result = [];
    if (count($tab) > 0) {
        foreach ($tab as $value) {
            // On recupere les enregistrements
            $rech2 = 'SELECT robj_id, robj_desc FROM `' . TBROBJ . "` WHERE  `robj_id` = '" . (int)$value . "'";
            // On se connecte a la base
            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
            $row2 = $db->get_row($rech2, ARRAY_A);
            close_database();
            if ($row2) {
                $row2 = encode_str($row2);
                extract($row2);
                $tab_id[] = $robj_id;
                $result[] = $robj_id . '=' . $robj_desc;
            }
        }
    }
    $_SESSION['obj_idnomenc_enfants'] = $tab_id;
    return $result;
}
